CDN
Create zone
POST
{{baseHost}}/v1/cdn/zonesCreates a new CDN zone. Returns the newly created object on success.
Request body (json)
{ "name": "test3.edge.kinescope.dev", "host": "test3.edge.kinescope.dev", "origins": [ { "addr": "test2.example.ru", "basic_auth": { "username": "user", "password": "pass" } } ], "access_control": { "jwt_secret": "token", "secure_link": "link" }, "settings": { "ignore_query_strings": true, "index_html": "index.html", "block_bad_bots": false }}Get zones
GET
{{baseHost}}/v1/cdn/zonesReturns a list of CDN zones. Results are paginated and can be filtered via query parameters.
Responses
{ "data": [ { "id": "<UUID>", "workspace_id": "<UUID>", "name": "Kinescopecdn.net", "host": "kinescopecdn.net", "origins": [ { "addr": "http://10.1.1.19:8041", "basic_auth": { "username": "", "password": "" } }, { "addr": "http://10.3.1.68:8041", "basic_auth": { "username": "", "password": "" } } ], "settings": { "access_log": false, "index_html": "", "block_bad_bots": false, "ignore_query_strings": true, "max_send_size_bytes": 0 }, "access_control": { "jwt_secret": "", "secure_link": "" }, "created_at": "2022-11-16T15:04:00.850633Z", "updated_at": "2025-03-06T17:30:19.449978Z" }, { "id": "<UUID>", "workspace_id": "<UUID>", "name": "Live ", "host": "live.kinescopecdn.net", "origins": [ { "addr": "http://10.1.1.56:8161", "basic_auth": { "username": "", "password": "" } }, { "addr": "http://10.1.1.29:8161", "basic_auth": { "username": "", "password": "" } }, { "addr": "http://10.1.1.48:8161", "basic_auth": { "username": "", "password": "" } } ], "settings": { "access_log": false, "index_html": "", "block_bad_bots": false, "ignore_query_strings": false, "max_send_size_bytes": 0 }, "access_control": { "jwt_secret": "", "secure_link": "" }, "created_at": "2023-02-02T12:03:19.728692Z", "updated_at": "2025-06-29T07:08:18.10123Z" }, { "id": "<UUID>", "workspace_id": "<UUID>", "name": "Live AMS", "host": "live-ams-1.kinescopecdn.net", "origins": [ { "addr": "http://10.1.1.56:8161", "basic_auth": { "username": "", "password": "" } }, { "addr": "http://10.1.1.29:8161", "basic_auth": { "username": "", "password": "" } }, { "addr": "http://10.1.1.48:8161", "basic_auth": { "username": "", "password": "" } } ], "settings": { "access_log": false, "index_html": "", "block_bad_bots": false, "ignore_query_strings": false, "max_send_size_bytes": 0 }, "access_control": { "jwt_secret": "", "secure_link": "" }, "created_at": "2023-10-31T17:14:38.14698Z", "updated_at": "2025-06-29T12:47:50.806065Z" } ]}Update zone
PUT
{{baseHost}}/v1/cdn/zones/:zone_idUpdates the specified CDN zone. Only fields provided in the request body are changed; others are left unchanged.
Request body (json)
{ "name": "test3.edge.kinescope.dev", "host": "test3.edge.kinescope.dev", "origins": [ { "addr": "test.example.ru", "basic_auth": { "username": "user111", "password": "pass222" } } ], "access_control": { "jwt_secret": "token", "secure_link": "link" }, "settings": { "ignore_query_strings": true, "index_html": "index.html", "block_bad_bots": false }}Delete zone
DELETE
{{baseHost}}/v1/cdn/zones/:zone_idPermanently deletes the CDN zone. This action cannot be undone.